Subject: Fwd: TSV Notes from IETF-80 (draft) and TSVWG Current Status 18-Apr-2011

From: Gorry Fairhurst <[email-masked]>
Date: Mon, 18 Apr 2011 16:46:37 +0100

I uploaded draft notes for TSVWG, please check for corrections:
http://www.ietf.org/proceedings/80/minutes/tsvwg.txt

Below is a draft post-meeting status report.

Best wishes,

Gorry

+++++++++++++++++++++++++

RFC Published:

draft-ietf-tsvwg-admitted-realtime-dscp-07 (RFC 5865)
draft-ietf-tsvwg-rsvp-proxy-approaches-09 (RFC 5945)
draft-ietf-tsvwg-rsvp-proxy-proto-11 (RFC 5946)
draft-ietf-tsvwg-rsvp-l3vpn-07 (RFC 6016)
draft-ietf-tsvwg-ecn-tunnel-10 (RFC6040)
draft-ietf-tsvwg-port-randomization (RFC 6056)
draft-ietf-tsvwg-sctp-chunk-flags (RFC 6096)
draft-ietf-tsvwg-dtls-for-sctp (RFC 6083)

---
IDs in RFC Editor Queue:

draft-ietf-tsvwg-emergency-rsvp-15 (MISREF)
Norm. ref to router alert draft (in the INT-area WG, now in WGLC)

draft-ietf-tsvwg-iana-ports
      New revision 25 Oct 2010.
      This will require a multi-working group LC.
      draft-ietf-tsvwg-iana-ports-08 was WGL'ed 30-10-2010
      WGLC ended Friday, 26th November 2010
         New version -09 02/12/2010.
          Discussion on list during Dec 2010.
         AD review received 21/12/2010.
       Proto Write-up sent 19/01/2011.
       Revised document text agreed, and document sent for publication.
      Gorry is Shepherd.

-------------------------------------------------------------------

IDs in IESG processing:

draft-ietf-tsvwg-rsvp-security-groupkeying
      WGLC of previous version completed.
      SECDIR review comments received, and updated as version -05.
      Short WGLC to confirm new text ended August 11th 2010.
      New version (-09) 22-10-2010.
      Proto write-up sent 14/12/2010.
      Publication requested.
    James is Shepherd.
    DUE: AD to review.

-------------------------------------------------------------------

WG Drafts with Chairs:

draft-ietf-tsvwg-sctpsocket
      New Rev -25, 07/01/2011.
      WGLC complete.
    James is Shepherd.
    DUE: Proto Write-up by Shepherd (James)

draft-ietf-tsvwg-sctp-strrst
      Dependency on this for IPFIX document with RFC-Ed.
      Benoit Claise to review for IPFIX
      New revision (-08) 25 Oct 2010.
          Text on race-condition to be updated before WGLC.
      New text to address this in revision 04/01/2011.
      WGLC in progress.
    James is Shepherd.
    DUE: WG Chairs to evaluate result of WGLC (17-Mar-2011)

-------------------------------------------------------------------

WG Drafts:

draft-ietf-tsvwg-source-quench
       (Replaced: draft-gont-tsvwg-source-quench-01.txt)
       IETF-79 suggested there was interest in this topic.
       Comments to list in 2010 from: Fred Baker, Antonio DeSimone,
          James Polk, Gorry Fairhurst, Andrew Yourtchenko, and others.
       WG agreed the draft should be a work item.
	More motivation needed to justify the SHOULD cases.
      DUE: New revision expected
      DUE: Reviewers need to volunteer for LC
       Please comment on list.

draft-ietf-tsvwg-byte-pkt-congest
      New editor added Jul 2010.
      New revision 25 Oct 2010.
     DUE: Update needed before deciding if ready for WGLC.
     DUE: Reviewers need to volunteer for LC
       Please comment on list.

draft-ietf-tsvwg-natsupp-tsvwg
      (Replaced: draft-stewart-natsupp-tsvw)
      Dependency from BEHAVE WG.
      Adopted as a work item 21 Sept 2010 (Gorry).
          WG -00, 29/11/2010
           uploaded as: draft-ietf-natsupp-tsvwg
       DUE: New revision need.

draft-ietf-tsvwg-sctp-udp-encap
      (Replaced: draft-tuexen-sctp-udp-encap)
      Lars sent a note as AD agreeing to progress this work.
      Work to be coordinated with DCCP work on encaps.
      Adopted as a work item 21 Sept 2010 (Gorry).
      DUE: New revision need.

-------------------------------------------------------------------

WG action required:

   draft-polk-tsvwg-intserv-multiple-tspec
       WG interest in this topic recorded at IETF-78.
      Charter update would be needed to progress this work.
      5 Reviews needed to determine energy/technical direction.
      Version -05 (presented in Beijing, IETF-79)
      Version -06 (presented in Prague, IETF-80)
      RSVP directorate was consulted.
	2 reviews from RSVP-DIR received (Bruce Davie, ?).
	2 additional reviews promised (Ken Carlberg, Francois LeF).
      WG needs to assess if the new draft should be a work item.
	Chairs approached AD to examine if the Charter can be updated.
      DUE: Awaiting response from AD (and then call needed to list).

    draft-ietf-6man-udpzero
       was: draft-fairhurst-tsvwg-6man-udpzero
       Draft was adopted by 6man, please discuss on the 6man list.
       A WGLC of this draft is expected in 6MAN WG.
	related draft: draft-ietf-6man-udpchecksums-00
       Expected to start WGLC in April 2011.
       This draft will be LC'ed in TSVWG also.

-------------------------------------------------------------------

The following have received recent discussion at TSVWG meetings or on
the list. Inclusion in the list below does not indicate support for
these specific drafts and other contributions are also warmly welcomed.

   draft-stewart-tsvwg-sctpecn-00
       Partially replaces (draft-stewart-tsvwg-sctp-nonce)
       IETF-78 suggested there was interest in this topic.
       Please comment to list.
       Revised draft to be uploaded with new name.
	- The draft needs to be updated for multihoming (IETF-80)
       WG needs to assess if the new draft should be a work item.

  draft-briscoe-tsvwg-ecn-encap-guidelines
       -00 Presented in Prague, IETF-80.
       WG needs to assess if the new draft should be a work item.
       Please comment on list.
      DUE: Chairs to check liaison status with other SDOs.

  draft-touch-tsvwg-port-use-00
- Intended to be advice to protocol designers needing a port.
         5 people have looked at this document, Prague IETF-80
       WG needs to assess if the new draft should be a work item.
       Please comment on list.
      DUE: Chairs to discuss with TSV and APPs ADs.

   draft-nishida-tsvwg-sctp-failover
       -00 Presented in Prague, IETF-80.
       - understood to not conflict with draft-tuexen-tsvwg-sctp-multipath
       Please comment to list.

   draft-tuexen-tsvwg-sctp-multipath
       -00 Presented in Prague, IETF-80.
       - understood to not conflict with draft-nishida-tsvwg-sctp-failover
       Please comment to list.

    WG chair note: Above two drafts should be read together.

-------------------------------------------------------------------
    draft-polk-tsvwg-rsvp-app-id-vv-profiles
       -01 Presented in Beijing, IETF-79.
       -02 was submitted 14-Mar-2011
       WG needs to assess if the new draft should be a work item.
       Please comment on list.

   draft-lefaucheur-tsvwg-rsvp-multiple-preemption
       RSVP directorate to be consulted.
          - Reviewers: Bruce Davie (awaiting other reviews)
       Please comment to list.

   draft-wing-tsvwg-happy-eyeballs-sctp
       Please comment to list.

   draft-tuexen-tsvwg-sctp-sack-immediately
       Please comment to list.

   draft-lei-tsvwg-sctp-compr-requirements-profile
       Please comment to list.

   draft-wei-tsvwg-nested-header-compression
       Please comment to list.

-------------------------------------------------------------------

Related non-WG items:

draft-narayanan-tsvwg-rsvp-resource-sharing
       Authors to take this draft to CCAMP WG.

draft-ietf-behave-sctpnat-03.txt
       BEHAVE WG item linked to SCTP encapsulation work.

------------------------------------------------------------------

Other news:

   RSVP Directorate (formed in May 2010)

   Charter to be updated.

------------------------------------------------------------------